kas listtickets            AFS Commands         kas listtickets


NAME

   kas listtickets -- list all tickets (tokens) for issuer.


   kas listtickets  [-name <name of server>]  [-long]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas listt  [-n <name of server>]  [-l]  [-h]

DESCRIPTION

   Lists  all  the  tickets  (tokens)  for  the  issuer,  if no
   arguments are provided.  If  name  of  server  is  provided,
   lists only the ticket good for that server process ("afs" is
   the most common server).  If the -long switch  is  provided,
   the  output shows octal strings representing the session key
   and ticket itself.

ARGUMENTS

   -name specifies the  server  name  for  which  to  list  the
         ticket.

   -long specifies  that  the  output  should display the octal
         number  strings  constituting  the  session  key   and
         ticket,  along  with other information (see the OUTPUT
         section).  The session  key  is  the  one  also  found
         within the ticket.

   -help prints  the  online  help  for  this  command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  4.3  in  the  Reference  Manual for more
         details.

OUTPUT

   The output reports for whom the  ticket  is  valid  and  the
   ticket's expiration date.  If no cell specification appears,
   then the ticket is valid in the local cell.

   If the -long flag is used, the  output  displays  the  octal
   numbers making up the session key and ticket, along with the
   key version number and the number of  bytes  in  the  ticket
   (this should always be 56).  If a "[>> POSTDATED <<]" marker
   appears where the expiration date normally does, the  ticket
   does  not  become  valid  until  the  indicated  time. (Only
   internal calls can create a postdated ticket;  there  is  no
   standard interface that allows users to do this.)



EXAMPLES

   The  following two examples are for a user with AFS UID 1020
   in  the  transarc.com  cell  and   AFS   UID   35   in   the
   test.transarc.com  cell.   He is working on a machine in the
   former cell and is authenticated in both cells.

   % kas listtickets

       User's (AFS ID 1020) tokens for afs [Expires Wed Jan
       User's (AFS ID 35@test.transarc.com) tokens for afs@
            [Expires Wed Jan 3 13:54:26 1990]

   % kas listtickets afs -l

       User's (AFS ID 1020) tokens for afs [Expires Wed Jan
       SessionKey: \375\205\351\227\032\310\263\013
       Ticket: (kvno = 0, len = 56): \033\005\221S\203d\312

PRIVILEGE REQUIRED

   None. A password is not prompted for.

MORE INFORMATION
